Otter 1.5.1 Has Been Released

We just shipped Otter 1.5.1. It's a maintenance release of Otter 1.5 which means that there is minimal risk to upgrading from an earlier 1.5. However, if you're planning to upgrade from a version prior to 1.5, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download Otter and run the installer.

Here's what we changed between 1.5.0 and 1.5.1:

  • OTTER-123 - FIX: Text database assets sometimes save incorrectly when replacing an existing script with a shorter one
  • OTTER-124 - FIX: JSON API does not parse POST body input as JSON unless content type is explicitly "application/json"
  • OTTER-121 - FIX: Infrastructure sync may not put new child environment under parent
  • OTTER-122 - FIX: Variable expansion error when . follows a scalar variable [regression]

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?